/**
 * 
 */
package org.springblade.message;

import org.springblade.message.model.AppMsgRequest;
import org.springblade.message.model.EmailMsgRequest;
import org.springblade.message.model.MsgResponse;
import org.springblade.message.model.SmsMsgRequest;

/**
 * @author wookvn
 *
 *	消息发送接口
 */
public interface MsgTemplate {

	/**
	 * 发送APP消息
	 * @param appMsgRequest
	 * @return
	 */
	default MsgResponse sendAppMessage(AppMsgRequest appMsgRequest) {
		return null;
	}
	
	/**
	 * 发送Email消息
	 * @param emailMsgRequest
	 * @return
	 */
	default MsgResponse sendEmailMessage(EmailMsgRequest emailMsgRequest) {
		return null;
	}
	
	/**
	 * 发送短信消息
	 * @param smsMsgRequest
	 * @return
	 */
	default MsgResponse sendSmsMessage(SmsMsgRequest smsMsgRequest) {
		return null;
	}
}
